From 89f1297238037224980026120df149d9f3f45cd6 Mon Sep 17 00:00:00 2001
From: Andrea Scarpino <bash.lnx@gmail.com>
Date: Tue, 26 Aug 2008 17:49:26 +0200
Subject: [PATCH] doesn't show disown package when already disowned

---
 web/lib/pkgfuncs.inc |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/web/lib/pkgfuncs.inc b/web/lib/pkgfuncs.inc
index 77b0ab1..2a6d767 100644
--- a/web/lib/pkgfuncs.inc
+++ b/web/lib/pkgfuncs.inc
@@ -512,13 +512,13 @@ function package_details($id=0, $SID="") {
                 if ($row["MaintainerUID"] == 0) {
                     echo "<input type='submit' class='button' name='do_Adopt'";
                     echo " value='".__("Adopt Packages")."'>\n";
-                }
-					
-				if ($row["MaintainerUID"] == uid_from_sid($SID) ||
-            account_from_sid($SID) == "Trusted User" ||
-            account_from_sid($SID) == "Developer") {
-					echo "<input type='submit' class='button' name='do_Disown'";
-					echo " value='".__("Disown Packages")."'>\n";
+                } else {
+					if ($row["MaintainerUID"] == uid_from_sid($SID) ||
+            	account_from_sid($SID) == "Trusted User" ||
+            	account_from_sid($SID) == "Developer") {
+						echo "<input type='submit' class='button' name='do_Disown'";
+						echo " value='".__("Disown Packages")."'>\n";
+					}
 				}	
 					
 				if (account_from_sid($SID) == "Trusted User" ||
-- 
1.6.0.1

